Subject: Re: [PATCH] net: sfp: workaround GPIO input signals bounce

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 13 Sep 2022 08:48:01 +0100

On Tue, Sep 13, 2022 at 10:43:38AM +0300, Baruch Siach wrote:
> From: Baruch Siach <[email-masked]>
> 
> Add a trivial debounce to avoid miss of state changes when there is no
> proper hardware debounce on the input signals. Otherwise a GPIO might
> randomly indicate high level when the signal is actually going down,
> and vice versa.
> 
> This fixes observed miss of link up event when LOS signal goes down on
> Armada 8040 based system with an optical SFP module.

NAK. This needs more inteligent handling. For systems where we poll,
your code introduces a 100us delay each time we poll and there has
been no change.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!